# this file is part of refractiveindex.info database
# refractiveindex.info database is in the public domain
# copyright and related rights waived via CC0 1.0

REFERENCES: |
    S. Adachi.
    Optical dispersion relations for GaP, GaAs, GaSb, InP, InAs, InSb, Al<sub>x</sub>Ga<sub>1−x</sub>As, and In<sub>1−x</sub>Ga<sub>x</sub>As<sub>y</sub>P<sub>1−y</sub>.
    <a href="https://doi.org/10.1063/1.343580"><i>J. Appl. Phys.</i> <b>66</b>, 6030-6040 (1989)</a><br>
    [<a href="https://github.com/polyanskiy/refractiveindex.info-scripts/blob/master/scripts/Adachi%201989%20-%20InP.py">Calculation script (Python)</a>]
DATA:
  - type: tabulated nk
    data: |
        2.0664e-01 1.3317e+00 1.9365e+00
        2.0767e-01 1.3372e+00 1.9529e+00
        2.0870e-01 1.3429e+00 1.9698e+00
        2.0975e-01 1.3486e+00 1.9872e+00
        2.1081e-01 1.3545e+00 2.0051e+00
        2.1188e-01 1.3605e+00 2.0236e+00
        2.1295e-01 1.3666e+00 2.0428e+00
        2.1404e-01 1.3729e+00 2.0626e+00
        2.1515e-01 1.3794e+00 2.0831e+00
        2.1626e-01 1.3861e+00 2.1043e+00
        2.1738e-01 1.3930e+00 2.1264e+00
        2.1852e-01 1.4002e+00 2.1494e+00
        2.1967e-01 1.4076e+00 2.1733e+00
        2.2083e-01 1.4154e+00 2.1982e+00
        2.2200e-01 1.4236e+00 2.2243e+00
        2.2318e-01 1.4322e+00 2.2515e+00
        2.2438e-01 1.4412e+00 2.2800e+00
        2.2559e-01 1.4509e+00 2.3099e+00
        2.2681e-01 1.4612e+00 2.3413e+00
        2.2805e-01 1.4723e+00 2.3744e+00
        2.2930e-01 1.4843e+00 2.4092e+00
        2.3057e-01 1.4974e+00 2.4460e+00
        2.3184e-01 1.5117e+00 2.4849e+00
        2.3314e-01 1.5274e+00 2.5261e+00
        2.3444e-01 1.5450e+00 2.5698e+00
        2.3577e-01 1.5646e+00 2.6162e+00
        2.3710e-01 1.5867e+00 2.6654e+00
        2.3845e-01 1.6118e+00 2.7178e+00
        2.3982e-01 1.6404e+00 2.7736e+00
        2.4120e-01 1.6734e+00 2.8329e+00
        2.4260e-01 1.7116e+00 2.8958e+00
        2.4402e-01 1.7561e+00 2.9625e+00
        2.4545e-01 1.8083e+00 3.0328e+00
        2.4690e-01 1.8697e+00 3.1064e+00
        2.4837e-01 1.9423e+00 3.1828e+00
        2.4985e-01 2.0283e+00 3.2606e+00
        2.5135e-01 2.1302e+00 3.3379e+00
        2.5287e-01 2.2504e+00 3.4117e+00
        2.5441e-01 2.3912e+00 3.4775e+00
        2.5597e-01 2.5540e+00 3.5293e+00
        2.5755e-01 2.7379e+00 3.5590e+00
        2.5914e-01 2.9389e+00 3.5580e+00
        2.6076e-01 3.1487e+00 3.5180e+00
        2.6239e-01 3.3545e+00 3.4342e+00
        2.6405e-01 3.5408e+00 3.3077e+00
        2.6573e-01 3.6939e+00 3.1469e+00
        2.6743e-01 3.8048e+00 2.9656e+00
        2.6915e-01 3.8722e+00 2.7791e+00
        2.7089e-01 3.9005e+00 2.6005e+00
        2.7266e-01 3.8979e+00 2.4383e+00
        2.7445e-01 3.8733e+00 2.2970e+00
        2.7626e-01 3.8344e+00 2.1772e+00
        2.7810e-01 3.7877e+00 2.0780e+00
        2.7996e-01 3.7377e+00 1.9971e+00
        2.8185e-01 3.6874e+00 1.9319e+00
        2.8376e-01 3.6390e+00 1.8801e+00
        2.8570e-01 3.5938e+00 1.8394e+00
        2.8766e-01 3.5523e+00 1.8079e+00
        2.8966e-01 3.5151e+00 1.7839e+00
        2.9168e-01 3.4822e+00 1.7660e+00
        2.9372e-01 3.4535e+00 1.7533e+00
        2.9580e-01 3.4291e+00 1.7446e+00
        2.9791e-01 3.4087e+00 1.7394e+00
        3.0005e-01 3.3922e+00 1.7368e+00
        3.0222e-01 3.3793e+00 1.7366e+00
        3.0442e-01 3.3698e+00 1.7381e+00
        3.0665e-01 3.3637e+00 1.7412e+00
        3.0891e-01 3.3608e+00 1.7454e+00
        3.1121e-01 3.3608e+00 1.7505e+00
        3.1354e-01 3.3637e+00 1.7564e+00
        3.1591e-01 3.3693e+00 1.7628e+00
        3.1832e-01 3.3776e+00 1.7697e+00
        3.2076e-01 3.3885e+00 1.7768e+00
        3.2324e-01 3.4019e+00 1.7842e+00
        3.2576e-01 3.4177e+00 1.7916e+00
        3.2831e-01 3.4361e+00 1.7990e+00
        3.3091e-01 3.4569e+00 1.8063e+00
        3.3355e-01 3.4801e+00 1.8134e+00
        3.3623e-01 3.5058e+00 1.8203e+00
        3.3896e-01 3.5341e+00 1.8269e+00
        3.4173e-01 3.5649e+00 1.8332e+00
        3.4454e-01 3.5985e+00 1.8389e+00
        3.4741e-01 3.6348e+00 1.8442e+00
        3.5032e-01 3.6741e+00 1.8489e+00
        3.5328e-01 3.7165e+00 1.8528e+00
        3.5629e-01 3.7622e+00 1.8560e+00
        3.5935e-01 3.8115e+00 1.8584e+00
        3.6246e-01 3.8647e+00 1.8597e+00
        3.6563e-01 3.9221e+00 1.8599e+00
        3.6886e-01 3.9843e+00 1.8588e+00
        3.7214e-01 4.0515e+00 1.8564e+00
        3.7548e-01 4.1243e+00 1.8524e+00
        3.7888e-01 4.2032e+00 1.8469e+00
        3.8235e-01 4.2881e+00 1.8399e+00
        3.8588e-01 4.3784e+00 1.8318e+00
        3.8947e-01 4.4713e+00 1.8240e+00
        3.9313e-01 4.5599e+00 1.8191e+00
        3.9686e-01 4.6314e+00 1.8220e+00
        4.0066e-01 4.8394e+00 2.2327e+00
        4.0454e-01 4.6848e+00 1.9013e+00
        4.0849e-01 4.5609e+00 1.6943e+00
        4.1252e-01 4.4394e+00 1.5217e+00
        4.1663e-01 4.3225e+00 1.3621e+00
        4.2082e-01 4.2127e+00 1.2066e+00
        4.2510e-01 4.1110e+00 1.0506e+00
        4.2947e-01 4.0180e+00 8.9159e-01
        4.3392e-01 3.9525e+00 8.2218e-01
        4.3847e-01 3.9020e+00 8.0147e-01
        4.4312e-01 3.8552e+00 7.7974e-01
        4.4786e-01 3.8119e+00 7.5712e-01
        4.5271e-01 3.7716e+00 7.3374e-01
        4.5767e-01 3.7340e+00 7.0974e-01
        4.6273e-01 3.6990e+00 6.8525e-01
        4.6791e-01 3.6663e+00 6.6038e-01
        4.7320e-01 3.6357e+00 6.3525e-01
        4.7862e-01 3.6071e+00 6.1000e-01
        4.8416e-01 3.5803e+00 5.8475e-01
        4.8983e-01 3.5553e+00 5.5961e-01
        4.9564e-01 3.5319e+00 5.3472e-01
        5.0158e-01 3.5101e+00 5.1021e-01
        5.0767e-01 3.4897e+00 4.8622e-01
        5.1391e-01 3.4708e+00 4.6291e-01
        5.2030e-01 3.4533e+00 4.4041e-01
        5.2686e-01 3.4371e+00 4.1889e-01
        5.3358e-01 3.4223e+00 3.9853e-01
        5.4048e-01 3.4086e+00 3.7949e-01
        5.4756e-01 3.3962e+00 3.6196e-01
        5.5482e-01 3.3850e+00 3.4615e-01
        5.6228e-01 3.3750e+00 3.3227e-01
        5.6994e-01 3.3661e+00 3.2052e-01
        5.7782e-01 3.3583e+00 3.1117e-01
        5.8591e-01 3.3517e+00 3.0444e-01
        5.9424e-01 3.3462e+00 3.0060e-01
        6.0281e-01 3.3418e+00 2.9994e-01
        6.1162e-01 3.3385e+00 3.0161e-01
        6.2070e-01 3.3361e+00 3.0314e-01
        6.3005e-01 3.3345e+00 3.0441e-01
        6.3969e-01 3.3337e+00 3.0536e-01
        6.4963e-01 3.3338e+00 3.0597e-01
        6.5988e-01 3.3347e+00 3.0618e-01
        6.7046e-01 3.3365e+00 3.0593e-01
        6.8138e-01 3.3392e+00 3.0515e-01
        6.9267e-01 3.3428e+00 3.0376e-01
        7.0433e-01 3.3473e+00 3.0166e-01
        7.1640e-01 3.3528e+00 2.9875e-01
        7.2889e-01 3.3593e+00 2.9487e-01
        7.4182e-01 3.3668e+00 2.8985e-01
        7.5521e-01 3.3754e+00 2.8346e-01
        7.6910e-01 3.3851e+00 2.7543e-01
        7.8351e-01 3.3959e+00 2.6535e-01
        7.9847e-01 3.4079e+00 2.5265e-01
        8.1402e-01 3.4211e+00 2.3645e-01
        8.3018e-01 3.4355e+00 2.1507e-01
        8.4699e-01 3.4512e+00 1.8372e-01
        8.6450e-01 3.4393e+00 1.4227e-01
        8.8275e-01 3.4373e+00 1.2046e-01
        9.0179e-01 3.4419e+00 8.6742e-02
        9.2166e-01 3.4137e+00 6.9603e-03
        9.4243e-01 3.3591e+00 6.8642e-03
        9.6416e-01 3.3293e+00 6.7188e-03
        9.8691e-01 3.3068e+00 6.5603e-03
        1.0108e+00 3.2883e+00 6.3959e-03
        1.0358e+00 3.2724e+00 6.2284e-03
        1.0621e+00 3.2583e+00 6.0593e-03
        1.0898e+00 3.2457e+00 5.8897e-03
        1.1190e+00 3.2342e+00 5.7201e-03
        1.1497e+00 3.2237e+00 5.5508e-03
        1.1822e+00 3.2140e+00 5.3822e-03
        1.2166e+00 3.2049e+00 5.2145e-03
        1.2531e+00 3.1965e+00 5.0476e-03
        1.2918e+00 3.1887e+00 4.8818e-03
        1.3329e+00 3.1813e+00 4.7171e-03
        1.3768e+00 3.1744e+00 4.5535e-03
        1.4237e+00 3.1679e+00 4.3911e-03
        1.4739e+00 3.1617e+00 4.2297e-03
        1.5277e+00 3.1559e+00 4.0696e-03
        1.5857e+00 3.1505e+00 3.9105e-03
        1.6482e+00 3.1453e+00 3.7526e-03
        1.7158e+00 3.1404e+00 3.5957e-03
        1.7892e+00 3.1358e+00 3.4399e-03
        1.8692e+00 3.1315e+00 3.2851e-03
        1.9566e+00 3.1274e+00 3.1313e-03
        2.0527e+00 3.1236e+00 2.9784e-03
        2.1586e+00 3.1200e+00 2.8264e-03
        2.2761e+00 3.1166e+00 2.6753e-03
        2.4071e+00 3.1134e+00 2.5250e-03
        2.5541e+00 3.1105e+00 2.3755e-03
        2.7203e+00 3.1077e+00 2.2267e-03
        2.9095e+00 3.1051e+00 2.0787e-03
        3.1271e+00 3.1028e+00 1.9312e-03
        3.3798e+00 3.1006e+00 1.7844e-03
        3.6770e+00 3.0986e+00 1.6382e-03
        4.0315e+00 3.0967e+00 1.4924e-03
        4.4616e+00 3.0951e+00 1.3471e-03
        4.9945e+00 3.0936e+00 1.2023e-03
        5.6719e+00 3.0923e+00 1.0578e-03
        6.5619e+00 3.0912e+00 9.1368e-04
        7.7832e+00 3.0902e+00 7.6983e-04
        9.5631e+00 3.0894e+00 6.2623e-04
        1.2398e+01 3.0888e+00 4.8282e-04
